on startMovie
  global controlsAreActive, riff, isComingFromASC, fromFrame, fromMovie
  cursor(-1)
  set controlsAreActive to 0
  set riff to 1
  set isComingFromASC to 1
  set fromFrame to EMPTY
  set fromMovie to EMPTY
  hideStills()
end

on stopMovie
  showStills()
end

on idle
  testControlsRollover()
end

on testStillRollover
  if rollOver(2) then
    set the visible of sprite 2 to 1
  else
    if rollOver(3) then
      set the visible of sprite 3 to 1
    else
      set the visible of sprite 2 to 0
      set the visible of sprite 3 to 0
    end if
  end if
end

on hideStills
  set the visible of sprite 2 to 0
  set the visible of sprite 3 to 0
end

on showStills
  set the visible of sprite 2 to 1
  set the visible of sprite 3 to 1
end

on testRollOverCredit
  if rollOver(7) then
    gDisabilitaAltri(7, 7, 9)
    gFlashRoller(7, 73, EMPTY)
  else
    if rollOver(8) then
      gDisabilitaAltri(8, 7, 9)
      gFlashRoller(8, 71, EMPTY)
    else
      if rollOver(9) then
        gDisabilitaAltri(9, 7, 9)
        gFlashRoller(9, 75, EMPTY)
      else
        gDisabilitaTutto(7, 9)
      end if
    end if
  end if
end

on testRollOverAvaCredit
  if rollOver(8) then
    gDisabilitaAltri(8, 7, 9)
    gFlashRoller(8, 71, EMPTY)
  else
    if rollOver(9) then
      gDisabilitaAltri(9, 7, 9)
      gFlashRoller(9, 75, EMPTY)
    else
      gDisabilitaTutto(7, 9)
    end if
  end if
end

on testRollOverIndCredit
  if rollOver(7) then
    gDisabilitaAltri(7, 7, 9)
    gFlashRoller(7, 73, EMPTY)
  else
    if rollOver(9) then
      gDisabilitaAltri(9, 7, 9)
      gFlashRoller(9, 75, EMPTY)
    else
      gDisabilitaTutto(7, 9)
    end if
  end if
end

on testW95Rollover
  if rollOver(4) then
    puppetSprite(5, 0)
    gFlashRoller(4, 90, EMPTY)
  else
    if rollOver(5) then
      puppetSprite(4, 0)
      gFlashRoller(5, 92, EMPTY)
    else
      puppetSprite(4, 0)
      puppetSprite(5, 0)
    end if
  end if
end
